be.ehealth.businessconnector.genins.service

## Interface GenInsService

- All Known Implementing Classes:
    GenInsServiceImpl

      public interface GenInsService

  GenInsService interface. Default impl : `GenInsServiceImpl` Factory : `ServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetInsurabilityResponse` | `getInsurability(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurability
    `GetInsurabilityAsFlatResponse` | `getInsurabilityAsFlat(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)` Method which call the web service getInsurabilityAsFlat

- - ### Method Detail

    - #### getInsurability

          GetInsurabilityResponse getInsurability(SAMLToken token,
                                                  GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                           throws GenInsBusinessConnectorException,
                                                  TechnicalConnectorException,
                                                  SessionManagementException

      Method which call the web service getInsurability
      Parameters:
        `token` -
        `getInsurabilityAsXmlOrFlatRequestType` -
      Returns:
        GetInsurabilityResponse object
      Throws:
        `GenInsBusinessConnectorException`
        `TechnicalConnectorException` - the malformed url exception
        `SessionManagementException`

    - #### getInsurabilityAsFlat

          GetInsurabilityAsFlatResponse getInsurabilityAsFlat(SAMLToken token,
                                                              GetInsurabilityAsXmlOrFlatRequestType getInsurabilityAsXmlOrFlatRequestType)
                                                       throws GenInsBusinessConnectorException,
                                                              TechnicalConnectorException,
                                                              SessionManagementException

      Method which call the web service getInsurabilityAsFlat
      Parameters:
        `token` - the token
        `getInsurabilityAsXmlOrFlatRequestType` -
      Returns:
        GetInsurabilityAsFlatResponse object
      Throws:
        `GenInsBusinessConnectorException`
        `TechnicalConnectorException` - the malformed url exception
        `SessionManagementException`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.